Package org.eclipse.birt.report.engine.api.script.instance

# Interface IScriptStyle

public interface IScriptStyle
Definition of the script style methods

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`String`
`getAntidiagonalColor()`
Get the antidiagonal color
`int`
`getAntidiagonalNumber()`
Get the antidiagonal line number
`String`
`getAntidiagonalStyle()`
Get the antidiagonal style
`String`
`getAntidiagonalWidth()`
Get the antidiagonal width
`String`
`getBackgroundAttachement()`
Deprecated.
replaced by getBackgroundAttachment()
`String`
`getBackgroundAttachment()`
Get the attachment type (either SCROLL or FIXED)
`String`
`getBackgroundColor()`
Get the background color
`String`
`getBackgroundHeight()`
Returns the height of the background image.
`String`
`getBackgroundImage()`
Get the background image URI
`String`
`getBackgroundImageType()`
Get the background image source type
`String`
`getBackgroundPositionX()`
Get the X (horizontal) position of the background image
`String`
`getBackgroundPositionY()`
Get the Y (vertical) position of the background image
`String`
`getBackgroundRepeat()`
Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`String`
`getBackgroundWidth()`
Returns the width of the background image.
`String`
`getBorderBottomColor()`
Get the bottom border color
`String`
`getBorderBottomStyle()`
Get the bottom border style.
`String`
`getBorderBottomWidth()`
Get the bottom border width.
`String`
`getBorderLeftColor()`
Get the left border color
`String`
`getBorderLeftStyle()`
Get the left border style.
`String`
`getBorderLeftWidth()`
Get the left border width.
`String`
`getBorderRightColor()`
Get the right border color
`String`
`getBorderRightStyle()`
Get the right border style.
`String`
`getBorderRightWidth()`
Get the left border width.
`String`
`getBorderTopColor()`
Get the top border color
`String`
`getBorderTopStyle()`
Get the top border style.
`String`
`getBorderTopWidth()`
Get the top border width.
`String`
`getCanShrink()`
Can this element shrink?
`String`
`getColor()`
Get the font color
`String`
`getDateFormat()`
Get the date format
`String`
`getDateLocale()`
Get the date locale
`String`
`getDiagonalColor()`
Get the diagonal color
`int`
`getDiagonalNumber()`
Get the diagonal line number
`String`
`getDiagonalStyle()`
Get the diagonal style
`String`
`getDiagonalWidth()`
Get the diagonal width
`String`
`getDisplay()`
Get the display type (valid types are BLOCK, INLINE and NONE)
`String`
`getFontFamily()`
Get the font family
`String`
`getFontSize()`
Get the font size
`String`
`getFontStyle()`
Get the font style
`String`
`getFontVariant()`
Get the font variant
`String`
`getFontWeight()`
Get the font weight
`String`
`getLetterSpacing()`
Get the letter spacing
`String`
`getLineHeight()`
Get the line height
`String`
`getMarginBottom()`
Get the bottom margin
`String`
`getMarginLeft()`
Get the left margin
`String`
`getMarginRight()`
Get the right margin
`String`
`getMarginTop()`
Get the top margin
`String`
`getMasterPage()`
Get the master page
`String`
`getNumberFormat()`
Get number format
`String`
`getNumberLocale()`
Get the number locale
`String`
`getPaddingBottom()`
Get the bottom padding.
`String`
`getPaddingLeft()`
Get the left padding.
`String`
`getPaddingRight()`
Get the right padding.
`String`
`getPaddingTop()`
Get the top padding.
`String`
`getPageBreakAfter()`
Get the page break after.
`String`
`getPageBreakBefore()`
Get the page break before.
`String`
`getPageBreakInside()`
Get the page break inside.
`String`
`getShowIfBlank()`
Show if blank?
`String`
`getStringFormat()`
Get the string format
`String`
`getStringLocale()`
Get the string locale
`String`
`getTextAlign()`
Get the text alignment.
`String`
`getTextHyperlinkStyle()`
Get the text hyperlink style
`String`
`getTextIndent()`
Get the text indent
`String`
`getTextLineThrough()`
Get the text line through
`String`
`getTextOverline()`
Get the text overline
`String`
`getTextTransform()`
Get the text transform.
`String`
`getTextUnderline()`
Get the text underline
`String`
`getVerticalAlign()`
Get the vertical alignment.
`String`
`getVisibleFormat()`
Get format to hide in.
`String`
`getWhiteSpace()`
Get the whitespace.
`String`
`getWordSpacing()`
Get the word spacing
`void`
`setAntidiagonalColor(String color)`
Set the antidiagonal color
`void`
`setAntidiagonalNumber(int number)`
Set the antidiagonal line number
`void`
`setAntidiagonalStyle(String style)`
Set the antidiagonal style
`void`
`setAntidiagonalWidth(String width)`
Set the antidiagonal width
`void`
`setBackgroundAttachement(String attachement)`
Deprecated.
replaced by setBackgroundAttachment( String attachment )
`void`
`setBackgroundAttachment(String attachment)`
Set the attachment type (either SCROLL or FIXED)
`void`
`setBackgroundColor(String color)`
Set the background color
`void`
`setBackgroundHeight(String value)`
Set the background height of the background image.
`void`
`setBackgroundImage(String imageURI)`
Set the background image URI
`void`
`setBackgroundImageType(String imageSourceType)`
Set the background image source type
`void`
`setBackgroundPositionX(String x)`
Set the X (horizontal) position of the background image
`void`
`setBackgroundPositionY(String y)`
Set the Y (vertical) position of the background image
`void`
`setBackgroundRepeat(String repeat)`
Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)
`void`
`setBackgroundWidth(String value)`
Set the background width of the background image.
`void`
`setBorderBottomColor(String color)`
Set the bottom border color
`void`
`setBorderBottomStyle(String borderstyle)`
Set the bottom border style.
`void`
`setBorderBottomWidth(String width)`
Set the bottom border width.
`void`
`setBorderLeftColor(String color)`
Set the left border color
`void`
`setBorderLeftStyle(String borderstyle)`
Set the left border style.
`void`
`setBorderLeftWidth(String width)`
Set the left border width.
`void`
`setBorderRightColor(String color)`
Set the right border color
`void`
`setBorderRightStyle(String borderstyle)`
Set the right border style.
`void`
`setBorderRightWidth(String width)`
Set the right border width.
`void`
`setBorderTopColor(String color)`
Set the top border color
`void`
`setBorderTopStyle(String borderstyle)`
Set the top border style.
`void`
`setBorderTopWidth(String width)`
Set the top border width.
`void`
`setCanShrink(String canShrink)`
Can this element shrink?
`void`
`setColor(String color)`
Set the font color
`void`
`setDateFormat(String dateTimeFormat)`
Set the date format
`void`
`setDateLocale(String locale)`
Set the date locale
`void`
`setDiagonalColor(String color)`
Set the diagonal color
`void`
`setDiagonalNumber(int number)`
Set the diagonal line number
`void`
`setDiagonalStyle(String style)`
Set the diagonal style
`void`
`setDiagonalWidth(String width)`
Set the diagonal width
`void`
`setDisplay(String display)`
Set the display type (valid types are BLOCK, INLINE and NONE)
`void`
`setFontFamily(String fontFamily)`
Set the font family
`void`
`setFontSize(String fontSize)`
Set the font size
`void`
`setFontStyle(String fontStyle)`
Set the font style
`void`
`setFontVariant(String fontVariant)`
Set the font variant
`void`
`setFontWeight(String fontWeight)`
Set the font weight
`void`
`setLetterSpacing(String spacing)`
Set the letter spacing
`void`
`setLineHeight(String lineHeight)`
Set the line height
`void`
`setMarginBottom(String margin)`
Set the bottom margin
`void`
`setMarginLeft(String margin)`
Set the left margin
`void`
`setMarginRight(String margin)`
Set the right margin
`void`
`setMarginTop(String margin)`
Set the top margin
`void`
`setMasterPage(String masterPage)`
Set the master page
`void`
`setNumberFormat(String numberFormat)`
Set the number format
`void`
`setNumberLocale(String locale)`
Set the number locale
`void`
`setPaddingBottom(String padding)`
Set the bottom padding.
`void`
`setPaddingLeft(String padding)`
Set the left padding.
`void`
`setPaddingRight(String padding)`
Set the right padding.
`void`
`setPaddingTop(String padding)`
Set the top padding.
`void`
`setPageBreakAfter(String pageBreak)`
Set the page break after
`void`
`setPageBreakBefore(String pageBreak)`
Set the page break before
`void`
`setPageBreakInside(String pageBreak)`
Set the page break inside
`void`
`setShowIfBlank(String showIfBlank)`
Set show if blank
`void`
`setStringFormat(String stringFormat)`
Set the string format
`void`
`setStringLocale(String locale)`
Set the string locale
`void`
`setTextAlign(String align)`
Set the text alignment.
`void`
`setTextHyperlinkStyle(String hyperlinkStyle)`
Set the text hyperlink style
`void`
`setTextIndent(String indent)`
Set text indent
`void`
`setTextLineThrough(String through)`
Set the text line through
`void`
`setTextOverline(String overline)`
Set the text overline
`void`
`setTextTransform(String transform)`
Set the text transform.
`void`
`setTextUnderline(String underline)`
Set the text underline
`void`
`setVerticalAlign(String valign)`
Set the vertical alignment.
`void`
`setVisibleFormat(String format)`
Set format to hide in.
`void`
`setWhiteSpace(String whitespace)`
Set the whitespace.
`void`
`setWordSpacing(String wordspacing)`
Set the word spacing

## Method Details

### getVisibleFormat

String getVisibleFormat()
Get format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

Returns:
  Return format to hide in. Should be one of

### setVisibleFormat

void setVisibleFormat(String format)
Set format to hide in. Should be one of org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_ALL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_VIEWER org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EMAIL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PRINT org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_PDF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_RTF org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_REPORTLET org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_EXCEL org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_WORD org.eclipse.birt.report.model.api.elements.DesignChoiceConstants.FORMAT_TYPE_POWERPOINT

Parameters:
  `format` -

### getLetterSpacing

String getLetterSpacing()
Get the letter spacing

Returns:
  Return the letter spacing

### setLetterSpacing

void setLetterSpacing(String spacing)
Set the letter spacing

Parameters:
  `spacing` -

### getLineHeight

String getLineHeight()
Get the line height

Returns:
  Return the line height

### setLineHeight

void setLineHeight(String lineHeight)
Set the line height

Parameters:
  `lineHeight` -

### getTextAlign

String getTextAlign()
Get the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

Returns:
  Return the text alignment

### setTextAlign

void setTextAlign(String align)
Set the text alignment. Valid return types are LEFT, RIGHT, CENTER and JUSTIFY.

Parameters:
  `align` -

### getTextIndent

String getTextIndent()
Get the text indent

Returns:
  Return the text indent

### setTextIndent

void setTextIndent(String indent)
Set text indent

Parameters:
  `indent` -

### getTextTransform

String getTextTransform()
Get the text transform. Valid return values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

Returns:
  Return the text transform

### setTextTransform

void setTextTransform(String transform)
Set the text transform. Valid transform values are NONE, CAPITALIZE, UPPERCASE and LOWERCASE.

Parameters:
  `transform` -

### getVerticalAlign

String getVerticalAlign()
Get the vertical alignment. Valid return values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

Returns:
  Return the vertical alignment

### setVerticalAlign

void setVerticalAlign(String valign)
Set the vertical alignment. Valid values are BASELINE, SUB, SUPER, TOP, TEXT_TOP, MIDDLE, BOTTOM and TEXT_BOTTOM

Parameters:
  `valign` -

### getWhiteSpace

String getWhiteSpace()
Get the whitespace. Valid return values are NORMAL, PRE and NOWRAP

Returns:
  Return the whitespace option

### setWhiteSpace

void setWhiteSpace(String whitespace)
Set the whitespace. The values retruned can be NORMAL, PRE and NOWRAP

Parameters:
  `whitespace` -

### getWordSpacing

String getWordSpacing()
Get the word spacing

Returns:
  Return the word spacing

### setWordSpacing

void setWordSpacing(String wordspacing)
Set the word spacing

Parameters:
  `wordspacing` -

### getColor

String getColor()
Get the font color

Returns:
  Return the font color

### setColor

void setColor(String color)
Set the font color

Parameters:
  `color` -

### getBackgroundAttachement

@Deprecated String getBackgroundAttachement()
Deprecated.
replaced by getBackgroundAttachment()
Get the attachement type (either SCROLL or FIXED)

Returns:
  Return the attachment type

### setBackgroundAttachement

@Deprecated void setBackgroundAttachement(String attachement)
Deprecated.
replaced by setBackgroundAttachment( String attachment )
Set the attachement type (either SCROLL or FIXED)

Parameters:
  `attachement` -

### getBackgroundAttachment

String getBackgroundAttachment()
Get the attachment type (either SCROLL or FIXED)

Returns:
  Return the attachement type

### setBackgroundAttachment

void setBackgroundAttachment(String attachment)
Set the attachment type (either SCROLL or FIXED)

Parameters:
  `attachment` -

### getBackgroundColor

String getBackgroundColor()
Get the background color

Returns:
  Return the background color

### setBackgroundColor

void setBackgroundColor(String color)
Set the background color

Parameters:
  `color` -

### getBackgroundImage

String getBackgroundImage()
Get the background image URI

Returns:
  Return the background image URI

### setBackgroundImage

void setBackgroundImage(String imageURI)
Set the background image URI

Parameters:
  `imageURI` -

### getBackgroundImageType

String getBackgroundImageType()
Get the background image source type

Returns:
  Return the background image source type

### setBackgroundImageType

void setBackgroundImageType(String imageSourceType)
Set the background image source type

Parameters:
  `imageSourceType` -

### getBackgroundRepeat

String getBackgroundRepeat()
Get the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

Returns:
  Return the background repeat

### setBackgroundRepeat

void setBackgroundRepeat(String repeat)
Set the background repeat type (valid types are REPEAT, REPEAT_X, REPEAT_Y and NO_REPEAT)

Parameters:
  `repeat` -

### setBackgroundHeight

void setBackgroundHeight(String value) throws ScriptException
Set the background height of the background image.

Parameters:
  `value` - the new background image height
Throws:
  `ScriptException` - if the property is locked

### getBackgroundHeight

String getBackgroundHeight()
Returns the height of the background image.

Returns:
  the background image height

### setBackgroundWidth

void setBackgroundWidth(String value) throws ScriptException
Set the background width of the background image.

Parameters:
  `value` - the new background image width
Throws:
  `ScriptException` - if the property is locked

### getBackgroundWidth

String getBackgroundWidth()
Returns the width of the background image.

Returns:
  the background image width

### getBorderBottomColor

String getBorderBottomColor()
Get the bottom border color

Returns:
  Return the bottom border color

### setBorderBottomColor

void setBorderBottomColor(String color)
Set the bottom border color

Parameters:
  `color` -

### getBorderTopColor

String getBorderTopColor()
Get the top border color

Returns:
  Return the top border color

### setBorderTopColor

void setBorderTopColor(String color)
Set the top border color

Parameters:
  `color` -

### getBorderRightColor

String getBorderRightColor()
Get the right border color

Returns:
  Return the right border color

### setBorderRightColor

void setBorderRightColor(String color)
Set the right border color

Parameters:
  `color` -

### getBorderLeftColor

String getBorderLeftColor()
Get the left border color

Returns:
  Return the left border color

### setBorderLeftColor

void setBorderLeftColor(String color)
Set the left border color

Parameters:
  `color` -

### getBorderBottomStyle

String getBorderBottomStyle()
Get the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Returns:
  Return the bottom border style.

### setBorderBottomStyle

void setBorderBottomStyle(String borderstyle)
Set the bottom border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Parameters:
  `borderstyle` -

### getBorderTopStyle

String getBorderTopStyle()
Get the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Returns:
  Return the top border style.

### setBorderTopStyle

void setBorderTopStyle(String borderstyle)
Set the top border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Parameters:
  `borderstyle` -

### getBorderLeftStyle

String getBorderLeftStyle()
Get the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Returns:
  Return the left border style.

### setBorderLeftStyle

void setBorderLeftStyle(String borderstyle)
Set the left border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Parameters:
  `borderstyle` -

### getBorderRightStyle

String getBorderRightStyle()
Get the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Returns:
  Return the right border style.

### setBorderRightStyle

void setBorderRightStyle(String borderstyle)
Set the right border style. Valid styles are NONE, SOLID, DOTTED, DASHED, DOUBLE, GROVE, RIDGE, INSET and OUTSET.

Parameters:
  `borderstyle` -

### getBorderBottomWidth

String getBorderBottomWidth()
Get the bottom border width.

Returns:
  Return the bottom border width.

### setBorderBottomWidth

void setBorderBottomWidth(String width)
Set the bottom border width.

Parameters:
  `width` -

### getBorderTopWidth

String getBorderTopWidth()
Get the top border width.

Returns:
  Return the top border width.

### setBorderTopWidth

void setBorderTopWidth(String width)
Set the top border width.

Parameters:
  `width` -

### getBorderLeftWidth

String getBorderLeftWidth()
Get the left border width.

Returns:
  Return the left border width.

### setBorderLeftWidth

void setBorderLeftWidth(String width)
Set the left border width.

Parameters:
  `width` -

### getBorderRightWidth

String getBorderRightWidth()
Get the left border width.

Returns:
  Return the left border width.

### setBorderRightWidth

void setBorderRightWidth(String width)
Set the right border width.

Parameters:
  `width` -

### getMarginBottom

String getMarginBottom()
Get the bottom margin

Returns:
  Return the bottom margin

### setMarginBottom

void setMarginBottom(String margin)
Set the bottom margin

Parameters:
  `margin` -

### getMarginTop

String getMarginTop()
Get the top margin

Returns:
  Return the top margin

### setMarginTop

void setMarginTop(String margin)
Set the top margin

Parameters:
  `margin` -

### getMarginLeft

String getMarginLeft()
Get the left margin

Returns:
  Return the left margin

### setMarginLeft

void setMarginLeft(String margin)
Set the left margin

Parameters:
  `margin` -

### getMarginRight

String getMarginRight()
Get the right margin

Returns:
  Return the right margin

### setMarginRight

void setMarginRight(String margin)
Set the right margin

Parameters:
  `margin` -

### getPaddingBottom

String getPaddingBottom()
Get the bottom padding.

Returns:
  Return the bottom padding.

### setPaddingBottom

void setPaddingBottom(String padding)
Set the bottom padding.

Parameters:
  `padding` -

### getPaddingTop

String getPaddingTop()
Get the top padding.

Returns:
  Return the top padding.

### setPaddingTop

void setPaddingTop(String padding)
Set the top padding.

Parameters:
  `padding` -

### getPaddingLeft

String getPaddingLeft()
Get the left padding.

Returns:
  Return the left padding.

### setPaddingLeft

void setPaddingLeft(String padding)
Set the left padding.

Parameters:
  `padding` -

### getPaddingRight

String getPaddingRight()
Get the right padding.

Returns:
  Return the right padding.

### setPaddingRight

void setPaddingRight(String padding)
Set the right padding.

Parameters:
  `padding` -

### getDisplay

String getDisplay()
Get the display type (valid types are BLOCK, INLINE and NONE)

Returns:
  Return the display type (valid types are BLOCK, INLINE and NONE)

### setDisplay

void setDisplay(String display)
Set the display type (valid types are BLOCK, INLINE and NONE)

Parameters:
  `display` -

### getMasterPage

String getMasterPage()
Get the master page

Returns:
  Return the master page

### setMasterPage

void setMasterPage(String masterPage)
Set the master page

Parameters:
  `masterPage` -

### getPageBreakBefore

String getPageBreakBefore()
Get the page break before.

Returns:
  Return the page break before.

### setPageBreakBefore

void setPageBreakBefore(String pageBreak)
Set the page break before

Parameters:
  `pageBreak` -

### getPageBreakAfter

String getPageBreakAfter()
Get the page break after.

Returns:
  Return the page break after.

### setPageBreakAfter

void setPageBreakAfter(String pageBreak)
Set the page break after

Parameters:
  `pageBreak` -

### getPageBreakInside

String getPageBreakInside()
Get the page break inside.

Returns:
  Return the page break inside.

### setPageBreakInside

void setPageBreakInside(String pageBreak)
Set the page break inside

Parameters:
  `pageBreak` -

### getShowIfBlank

String getShowIfBlank()
Show if blank?

Returns:
  Show if blank?

### setShowIfBlank

void setShowIfBlank(String showIfBlank)
Set show if blank

Parameters:
  `showIfBlank` -

### getCanShrink

String getCanShrink()
Can this element shrink?

Returns:
  Can this element shrink?

### setCanShrink

void setCanShrink(String canShrink)
Can this element shrink?

Parameters:
  `canShrink` -

### getNumberFormat

String getNumberFormat()
Get number format

Returns:
  the number format

### setNumberFormat

void setNumberFormat(String numberFormat)
Set the number format

Parameters:
  `numberFormat` -

### getNumberLocale

String getNumberLocale()
Get the number locale

Returns:
  number locale

### setNumberLocale

void setNumberLocale(String locale)
Set the number locale

Parameters:
  `locale` - number locale

### getDateFormat

String getDateFormat()
Get the date format

Returns:
  date format

### setDateFormat

void setDateFormat(String dateTimeFormat)
Set the date format

Parameters:
  `dateTimeFormat` -

### getDateLocale

String getDateLocale()
Get the date locale

Returns:
  teh date locale

### setDateLocale

void setDateLocale(String locale)
Set the date locale

Parameters:
  `locale` - the date locale

### getStringFormat

String getStringFormat()
Get the string format

Returns:
  the string format

### setStringFormat

void setStringFormat(String stringFormat)
Set the string format

Parameters:
  `stringFormat` -

### getStringLocale

String getStringLocale()
Get the string locale

Returns:
  the string locale

### setStringLocale

void setStringLocale(String locale)
Set the string locale

Parameters:
  `locale` - string locale

### getFontFamily

String getFontFamily()
Get the font family

Returns:
  Return the font family

### setFontFamily

void setFontFamily(String fontFamily)
Set the font family

Parameters:
  `fontFamily` -

### getFontStyle

String getFontStyle()
Get the font style

Returns:
  Return the font style

### setFontStyle

void setFontStyle(String fontStyle)
Set the font style

Parameters:
  `fontStyle` -

### getFontVariant

String getFontVariant()
Get the font variant

Returns:
  Return the font variant

### setFontVariant

void setFontVariant(String fontVariant)
Set the font variant

Parameters:
  `fontVariant` -

### getFontWeight

String getFontWeight()
Get the font weight

Returns:
  Return the font weight

### setFontWeight

void setFontWeight(String fontWeight)
Set the font weight

Parameters:
  `fontWeight` -

### getFontSize

String getFontSize()
Get the font size

Returns:
  Return the font size

### setFontSize

void setFontSize(String fontSize)
Set the font size

Parameters:
  `fontSize` -

### getTextUnderline

String getTextUnderline()
Get the text underline

Returns:
  Return the text underline

### setTextUnderline

void setTextUnderline(String underline) throws ScriptException
Set the text underline

Parameters:
  `underline` -
Throws:
  `ScriptException`

### getTextOverline

String getTextOverline()
Get the text overline

Returns:
  Return the text overline

### setTextOverline

void setTextOverline(String overline) throws ScriptException
Set the text overline

Parameters:
  `overline` -
Throws:
  `ScriptException`

### getTextLineThrough

String getTextLineThrough()
Get the text line through

Returns:
  Return the text line through

### setTextLineThrough

void setTextLineThrough(String through) throws ScriptException
Set the text line through

Parameters:
  `through` -
Throws:
  `ScriptException`

### getTextHyperlinkStyle

String getTextHyperlinkStyle()
Get the text hyperlink style

Returns:
  the text hyperlink style

### setTextHyperlinkStyle

void setTextHyperlinkStyle(String hyperlinkStyle) throws ScriptException
Set the text hyperlink style

Parameters:
  `hyperlinkStyle` -
Throws:
  `ScriptException`

### getBackgroundPositionX

String getBackgroundPositionX()
Get the X (horizontal) position of the background image

Returns:
  Return the X (horizontal) position of the background image

### setBackgroundPositionX

void setBackgroundPositionX(String x) throws ScriptException
Set the X (horizontal) position of the background image

Parameters:
  `x` -
Throws:
  `ScriptException`

### getBackgroundPositionY

String getBackgroundPositionY()
Get the Y (vertical) position of the background image

Returns:
  Return the Y (vertical) position of the background image

### setBackgroundPositionY

void setBackgroundPositionY(String y) throws ScriptException
Set the Y (vertical) position of the background image

Parameters:
  `y` -
Throws:
  `ScriptException`

### getDiagonalNumber

int getDiagonalNumber()
Get the diagonal line number

Returns:
  Return the diagonal line number

### setDiagonalNumber

void setDiagonalNumber(int number)
Set the diagonal line number

Parameters:
  `number` -

### getDiagonalColor

String getDiagonalColor()
Get the diagonal color

Returns:
  Return the diagonal color

### setDiagonalColor

void setDiagonalColor(String color)
Set the diagonal color

Parameters:
  `color` -

### getDiagonalStyle

String getDiagonalStyle()
Get the diagonal style

Returns:
  Return the diagonal style

### setDiagonalStyle

void setDiagonalStyle(String style)
Set the diagonal style

Parameters:
  `style` -

### getDiagonalWidth

String getDiagonalWidth()
Get the diagonal width

Returns:
  Return the diagonal width

### setDiagonalWidth

void setDiagonalWidth(String width)
Set the diagonal width

Parameters:
  `width` -

### getAntidiagonalNumber

int getAntidiagonalNumber()
Get the antidiagonal line number

Returns:
  Return the antidiagonal line number

### setAntidiagonalNumber

void setAntidiagonalNumber(int number)
Set the antidiagonal line number

Parameters:
  `number` -

### getAntidiagonalColor

String getAntidiagonalColor()
Get the antidiagonal color

Returns:
  Return the antidiagonal color

### setAntidiagonalColor

void setAntidiagonalColor(String color)
Set the antidiagonal color

Parameters:
  `color` -

### getAntidiagonalStyle

String getAntidiagonalStyle()
Get the antidiagonal style

Returns:
  Return the antidiagonal style

### setAntidiagonalStyle

void setAntidiagonalStyle(String style)
Set the antidiagonal style

Parameters:
  `style` -

### getAntidiagonalWidth

String getAntidiagonalWidth()
Get the antidiagonal width

Returns:
  Return the antidiagonal width

### setAntidiagonalWidth

void setAntidiagonalWidth(String width)
Set the antidiagonal width

Parameters:
  `width` -